# Generated by Django 2.1.3 on 2020-06-03 10:16

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('devices', '0010_auto_20200603_1016'),
        ('utp', '0007_historicalnotfoundmatrixequipment_notfoundmatrixequipment'),
    ]

    operations = [
        migrations.CreateModel(
            name='Lease',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(db_index=True, verbose_name='created_at')),
                ('client_id', models.PositiveIntegerField(blank=True, null=True)),
                ('active_client_id', models.CharField(blank=True, max_length=100, null=True)),
                ('server', models.CharField(blank=True, max_length=100, null=True, verbose_name='server')),
                ('hostname', models.CharField(blank=True, max_length=100, null=True, verbose_name='hostname')),
                ('active_hostname', models.CharField(blank=True, max_length=100, null=True, verbose_name='hostname')),
                ('active_address', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='lease_active_addrress', to='devices.IPTable')),
                ('active_mac_address', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='lease_active_mac_address', to='devices.MACTable')),
                ('address', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='lease_addrress', to='devices.IPTable')),
                ('cpe', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='utp.CpeUtp')),
                ('mac_address', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='lease_mac_address', to='devices.MACTable')),
                ('node', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='utp.Mikrotik', verbose_name='node')),
            ],
        ),
        migrations.AddField(
            model_name='historicalnotfoundmatrixequipment',
            name='download_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(1000)]),
        ),
        migrations.AddField(
            model_name='historicalnotfoundmatrixequipment',
            name='node',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Mikrotik', verbose_name='node'),
        ),
        migrations.AddField(
            model_name='historicalnotfoundmatrixequipment',
            name='upload_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(1000)]),
        ),
        migrations.AddField(
            model_name='notfoundmatrixequipment',
            name='download_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(1000)]),
        ),
        migrations.AddField(
            model_name='notfoundmatrixequipment',
            name='node',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='utp.Mikrotik', verbose_name='node'),
        ),
        migrations.AddField(
            model_name='notfoundmatrixequipment',
            name='upload_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(1000)]),
        ),
        migrations.AddField(
            model_name='lease',
            name='not_found',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='utp.NotFoundMatrixEquipment'),
        ),
        migrations.AddField(
            model_name='lease',
            name='onu',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='devices.ONU'),
        ),
    ]
